Package org.eclipse.graphiti.ui.internal.requests

# Class ContextButtonDragRequest

java.lang.Object
org.eclipse.gef.Request
org.eclipse.gef.requests.CreateRequest
org.eclipse.gef.requests.CreateConnectionRequest
org.eclipse.graphiti.ui.internal.requests.ContextButtonDragRequest

All Implemented Interfaces:
  `org.eclipse.gef.requests.DropRequest`, `org.eclipse.gef.requests.TargetRequest`

public class ContextButtonDragRequest extends org.eclipse.gef.requests.CreateConnectionRequest

## Constructor Summary

Constructors
Constructor
Description
`ContextButtonDragRequest()`

## Method Summary

Modifier and Type
Method
Description
`ContextButtonEntry`
`getContextButtonEntry()`
`void`
`setContextButtonEntry(ContextButtonEntry contextButtonEntry)`

### Methods inherited from class org.eclipse.gef.requests.CreateConnectionRequest

`getSourceEditPart, getStartCommand, getTargetEditPart, setSourceEditPart, setStartCommand, setTargetEditPart`

### Methods inherited from class org.eclipse.gef.requests.CreateRequest

`getFactory, getLocation, getNewObject, getNewObjectType, getSize, isSnapToEnabled, setFactory, setLocation, setSize, setSnapToEnabled`

### Methods inherited from class org.eclipse.gef.Request

`getExtendedData, getType, setExtendedData, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContextButtonDragRequest

public ContextButtonDragRequest()

## Method Details

### getContextButtonEntry

public ContextButtonEntry getContextButtonEntry()

### setContextButtonEntry

public void setContextButtonEntry(ContextButtonEntry contextButtonEntry)